<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'turnitintooltwo', language 'en_us_k12', version '4.1'.
 *
 * @package     turnitintooltwo
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['ced'] = 'Class End Date';
$string['classcreationerror'] = 'Turnitin Class creation failed';
$string['classupdateerror'] = 'Could not update Turnitin Class data';
$string['configureerror'] = 'You must configure this module fully as Administrator before using it within a class. Please contact your Moodle administrator.';
$string['course'] = 'Class';
$string['coursebrowserdesc'] = 'You can search Turnitin for classes to recreate on Moodle as a class below';
$string['courseexistsmoodle'] = 'This class currently exists in Moodle as:';
$string['coursegeterror'] = 'Could not get class data';
$string['coursegettiierror'] = 'Could not get class data from Turnitin';
$string['courseiderror'] = 'Class ID is incorrect';
$string['coursemisconfigured'] = 'Class is misconfigured';
$string['coursemodidincorrect'] = 'Class Module ID was incorrect';
$string['coursemodincorrect'] = 'Class module is incorrect';
$string['coursestomigrate'] = 'You have {$a} classes available to restore from Turnitin';
$string['coursetitle'] = 'Class Title';
$string['coursetitleerror'] = 'You must provide a class title to search for';
$string['createcourse'] = 'Create New Moodle Class';
$string['createmoodleassignments'] = 'Recreate all Assignments of selected classes in Moodle?';
$string['createmoodlecourses'] = 'Recreate Classes';
$string['cronsubmittedsuccessfully'] = 'Submission: {$a->title} (TII ID: {$a->submissionid}) for the assignment {$a->assignmentname} on the class {$a->coursename} was successfully submitted to Turnitin.';
$string['defaultcoursetiititle'] = 'Class from Turnitin';
$string['digital_receipt_message'] = 'Dear {$a->firstname} {$a->lastname},<br /><br />You have successfully submitted the file <strong>{$a->submission_title}</strong> to the assignment <strong>{$a->assignment_name}{$a->assignment_part}</strong> in the class <strong>{$a->course_fullname}</strong> on <strong>{$a->submission_date}</strong>. Your submission id is <strong>{$a->submission_id}</strong>. Your full digital receipt can be viewed and printed from the assignment inbox or from the print/download button in the document viewer.<br /><br />Thank you for using Turnitin,<br /><br />The Turnitin Team';
$string['duplicatesfound'] = 'Duplicate copies of the same Turnitin assignments were found, duplicates occur when one or more Moodle Direct assignment is connected to the same one Turnitin assignment via the Turnitin API. This is known to cause issues, most notably submissions made to one of the duplicates will show up in the submission inbox of the others. To fix this you should either delete the duplicate assignments or reset the class where the duplicate assignments are.<br /><br />The following duplicates were found:';
$string['instructorreceipt_desc'] = 'Choose whether to send a notification to each instructor on a class when a submission is made to an assignment.';
$string['linkcourse'] = 'Link Class to existing Moodle Class';
$string['listsubmissionsdesc'] = 'User viewed the list of submissions at class';
$string['listsubmissionsdesc_student'] = 'User viewed their submission inbox at class';
$string['maxfilesize_help'] = 'This setting determines the maximum file size for user submissions to each assignment part. The maximum value you can set this value to is dictated by the value set in class settings, this value is further capped to a maximum file size of 40Mb which is the maximum allowed filesize for file uploads to Turnitin.';
$string['membercheckerror'] = 'There was an error when trying to check users that are enrolled on this class';
$string['migrationassignmentcreationerror'] = 'Could not create migration assignment - class {$a}';
$string['migrationassignmenterror1'] = 'Could not add a new class module to the class {$a}';
$string['migrationassignmenterror2'] = 'Could not add the new class module to that section - class {$a}';
$string['migrationassignmenterror3'] = 'Could not create an event for the migrated assignment - class {$a}';
$string['migrationcoursecreated'] = 'Class from Turnitin recreated on Moodle';
$string['migrationcoursecreatederror'] = 'Class {$a} was recreated but there was an error saving the link';
$string['migrationcoursecreateerror'] = 'Class {$a} could not be created on Moodle';
$string['migrationcoursegeterror'] = 'Unable to get any of the classes from Turnitin';
$string['newcourseenddate'] = 'New class end date';
$string['newenddatedesc'] = 'Choose a new end date for the class below which will then be updated in Turnitin.';
$string['notutors'] = 'There are no tutors enrolled on this class with Turnitin';
$string['pp_classcreationerror'] = 'This class could not be created on Turnitin, please consult your API logs for further information';
$string['receipt_instructor_copy'] = 'A submission entitled <strong>{$a->submission_title}</strong> has been made to assignment <strong>{$a->assignment_name}{$a->assignment_part}</strong> in the class <strong>{$a->course_fullname}</strong>.<br /><br />Submission ID: <strong>{$a->submission_id}</strong><br />Submission Date: <strong>{$a->submission_date}</strong><br />';
$string['recreatemulticlasses'] = 'Your selected classes are now being re-created, depending on how many you have selected this may take upto a few minutes';
$string['recreatemulticlassescomplete'] = 'Class re-creation is now complete. {$a->completed} out of {$a->total} were successfully created.';
$string['restorationheader'] = 'Turnitin Class Restoration';
$string['savecourseenddate'] = 'Save new class end date';
$string['savecourseenddateerror'] = 'There was an error when trying to save a new class end date in Turnitin';
$string['searchcourses'] = 'Search Classes';
$string['selectcourse'] = 'Select Moodle Class';
$string['selectcoursecategory'] = 'Select Class Category';
$string['studentremoved'] = 'Student has been removed from the class within Turnitin';
$string['studentremovingerror'] = 'There has been a problem removing the student from the class within Turnitin';
$string['submitpapersto_help'] = 'This setting provides instructors with the ability to select whether papers are stored in a Turnitin student paper repository. The benefit of submitting papers to the student paper repository is that student papers submitted to the assignment are checked against other students\\&#39; submissions within your current and previous classes. If you select &#34;no repository&#34;, your students\\&#39; papers will not be stored in the Turnitin student paper repository.';
$string['turnitinstudents_desc'] = 'The selected Users below are enrolled on this Turnitin Class. Enrolled students can gain access to this class by logging in to the Turnitin web site.';
$string['turnitinstudentsremove'] = 'Are you sure you want to remove this student from the class within Turnitin?';
$string['turnitintooltworesetdata0'] = 'Copy Turnitin Assignments <i>(Create Duplicates, New Turnitin Class)</i>';
$string['turnitintooltworesetdata1'] = 'Replace Turnitin Assignments <i>(Replace Assignment Parts, Reuse Turnitin Class)</i>';
$string['turnitintooltworesetinfo'] = 'Choose an option below for the Turnitin Assignments in this class:';
$string['turnitintutors_desc'] = 'The selected Tutors below are enrolled as tutors on this Turnitin Class. Enrolled tutors can gain access to this class by logging in to the Turnitin web site.';
$string['turnitintutorsremove'] = 'Are you sure you want to remove this tutor from the class within Turnitin?';
$string['tutoradded'] = 'Tutor has been added to the class in Turnitin';
$string['tutoraddingerror'] = 'There has been a problem adding the tutor to the class in Turnitin';
$string['tutorremoved'] = 'Tutor has been removed from the class within Turnitin';
$string['tutorremovingerror'] = 'There has been a problem removing the tutor from the class within Turnitin';
$string['userjoinerror'] = 'There was an error trying to join a user to a class in Turnitin';
$string['userremoveerror'] = 'There was an error trying to remove a user from a class in Turnitin';
$string['wrongaccountid'] = 'There was an error linking your Turnitin Class. The account you have configured is account {$a->current}. The account this class is from is {$a->backupid}. You can only restore classes that originated in the same Turnitin account.';
